<!DOCTYPE hibernate-configuration PUBLIC
"-//Hibernate/Hibernate Configuration DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd">

<hibernate-configuration>
	<session-factory>

		<!-- hibernate dialect -->
		<property name="hibernate.dialect">org.hibernate.dialect.DB2Dialect</property>
		<property name="hibernate.connection.datasource">java:/comp/env/jdbc/sebDS</property>
		<property name="transaction.factory_class">org.hibernate.transaction.JDBCTransactionFactory</property>

		<!-- Automatic schema creation (begin) === -->
		<!-- <property name="hibernate.hbm2ddl.auto">create</property> -->
		<property name="show_sql">false</property>
		<property name="format_sql">false</property>
		<property name="use_sql_comments">false</property>

		<!-- Simple memory-only cache -->
		<property name="hibernate.cache.provider_class">org.hibernate.cache.HashtableCacheProvider</property>
		<property name="hibernate.cache.use_query_cache">false</property>
		<property name="hibernate.cache.use_second_level_cache">false</property>
		<property name="cache.provider_class">org.hibernate.cache.NoCacheProvider</property>

		<!-- Enable Hibernate's automatic session context management -->
		<property name="current_session_context_class">thread</property>

		<!-- ############################################ -->
		<!-- # mapping files with external dependencies # -->
		<!-- ############################################ -->

		<mapping class="com.seb.middleware.jpa.dao.User"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.RememberMe"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.Setting"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.CaseReport"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.CombinedReport"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.SFDCReport"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.EmailVerification"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.MobileVerification"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.OtpVerification"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.Subscription"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.SubscriptionMapping"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.CustServiceLocation"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.CustServiceCounter"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.Contract"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.BillingTransaction"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.PowerAlertDao"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.PowerAlertTypeDao"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.Faq"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.FaqCategoryDao"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.Promotion"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.ContactUs"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.ReportNotification"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.TaskTracker"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.TagSubscriptions"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.NotificationHistory"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.TagNotification"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.BillReadyNotification"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.CustomerAuditTrail"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.FPXBankDAO"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.FPXBankActiveDAO"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.PaymentGatewayDAO"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.PaymentGatewayParameterDAO"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.PaymentGatewayUrlDAO"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.PaymentReferenceDAO"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.PaymentReferenceEntryDAO"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.PaymentReferenceDataDAO"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.PaymentHistoryDAO"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.MobilePrefixDAO"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.TariffCategoryDAO"></mapping>
		<mapping class="com.seb.middleware.jpa.dao.TariffSettingDAO"></mapping>
	</session-factory>
</hibernate-configuration>